# Generated from resource_kit-0.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name resource_kit

Name: rubygem-%{gem_name}
Version: 0.1.7
Release: 1%{?dist}
Summary: Resource Kit provides tools to aid in making API Clients. Such as URL resolving, Request / Response layer, and more
License: MIT
URL: https://github.com/digitaloceancloud/resource_kit
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(faraday)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 1.18.0
# BuildRequires: rubygem(webmock) < 1.19
# BuildRequires: rubygem(kartograph) >= 0.0.8
# BuildRequires: rubygem(kartograph) < 0.1
# BuildRequires: rubygem(pry) >= 0.10.1
# BuildRequires: rubygem(pry) < 0.11
BuildArch: noarch

%description
Resource Kit provides tools to aid in making API Clients. Such as URL
resolving, Request / Response layer, and more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/resource_kit.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.7-1
- Initial package
